Skip to main content
GET
/
batch_dial_jobs
/
{id}
Get Batch Job
curl --request GET \
  --url https://api.vogent.ai/api/batch_dial_jobs/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "maxConcurrentDials": 123,
  "name": "<string>",
  "status": "INIT",
  "callAgentId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "fromPhoneNumberIds": [
    "<string>"
  ],
  "schedule": {
    "days": [
      {
        "dayOfWeek": 123,
        "timeSlots": [
          {
            "startTime": "<string>",
            "endTime": "<string>"
          }
        ]
      }
    ],
    "timezone": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.vogent.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

In the form Bearer <api_key_here>. You can find your api key in your dashboard.

Path Parameters

id
string
required

ID of the batch dial job.

Response

Successful operation

id
string
required
maxConcurrentDials
integer
required
name
string
required
status
enum<string>
required
Available options:
INIT,
ACTIVE,
PAUSED,
COMPLETE,
CANCELLED
callAgentId
string
required
createdAt
string<date-time>
required
fromPhoneNumberIds
string[]
schedule
object